using FluentNHibernate.Mapping;

namespace Tiger.Game.Habbos;

public class ActivitypointsMap : ClassMap<Activitypoints>
{
    public ActivitypointsMap()
    {
        Table("habbo_activitypoints");
        LazyLoad();
        CompositeId()
            .KeyProperty(h => h.Type, "type")
            .KeyReference(h => h.Habbo, "habbo_id");
        Map(h => h.Amount).Column("amount").Not.Nullable();
    }
}