using Tiger.Game.Navigator.Views;

namespace Tiger.Game.Navigator;

public class NavigatorManager : INavigatorManager
{
    public IDictionary<string, INavigatorView> NavigatorViews { get; }

    public NavigatorManager(IEnumerable<INavigatorView> navigatorViews)
    {
        NavigatorViews = navigatorViews.ToDictionary(n => n.Code);
    }
}